function [dl2,dr2]=Calcula_Distancia_Linha_Epipolar(pl,F,pr)
% Calcula os quadrados das distancias entre pontos homlogos e as
% correspondentes retas epipolares
%
% ENTRADAS:
% pl,pr = matrizes 3xn com as coordenadas homogneas de pontos correspondes
% em um par estreo
% F     = matriz fundamental
%
% SAIDAS:
% dl2,dr2 - vetores contendo os quadrados das distancias entre pontos homlogos e as
% correspondentes retas epipolares
%
% Raul Queiroz Feitosa - ltima reviso Maio/2011

Fpr=F*pr;

plFpr=sum(pl.*Fpr);

Fpr1=Fpr(1,:);
Fpr2=Fpr(2,:);

FTpl=F'*pl;
FTpl1=FTpl(1,:);
FTpl2=FTpl(2,:);

dl2=( (plFpr.^2) .* ((1./((Fpr1.^2)+(Fpr2.^2))) ));
dr2=( (plFpr.^2) .* ((1./((FTpl1.^2)+(FTpl2.^2)))));

return




    
