function [xl yl xr yr] = captura_pontos(iml,imr)
% function [xl yl xr yr] = captura_pontos(iml,imr)
%%%%%%%%%%%%%%%%%%% Captura Pontos %%%%%%%%%%%%%%%%%%%%%%%%%
% Captura pontos de 2 imagens estereo manualmente
%
% Entradas da Funcao:
% iml - imagem da esquerda
% imr - imagem da direita
%
% Sadas da Funcao:
% xl - vetor com as coordenadas x dos pontos, na imagem da esquerda
% yl - vetor com as coordenadas y dos pontos, na imagem da esquerda
% xr - vetor com as coordenadas x dos pontos, na imagem da direita
% yr - vetor com as coordenadas y dos pontos, na imagem da direita
%
% obs: Para terminar a captura dos pontos, clicar com o boto direito!


xl= [];
yl = [];
xr = [];
yr = [];
figure(1)
h1 = subplot(1,2,1);
imshow(iml)
h2 = subplot(1,2,2);
imshow(imr)

but=1;

while but==1

    axes(h1)
    hold on
    
    title('Zoom in and press space bar')
    zoom on
    pause
    title('Click on one point below');
    [xi, yi, but] = ginput(1);
    title('');
    xl = [xl;xi];
    yl = [yl;yi];
    plot(xi,yi,'r+');
    zoom out
    axes(h2)
    title('Zoom in and press space bar')
    zoom on
    pause;
    title({'Click on the corresponding point below';'if last point, use the right bottom'} );
    hold on
    [xi, yi, but] = ginput(1);
    title('');
    xr = [xr;xi];
    yr = [yr;yi];
    plot(xi,yi,'r+');
    zoom out
end

save pontos_homologos xl yl xr yr
