function funcoes_gmv( metodo, arql, arqr )
% function funcoes_gmv( metodo, arql, arqr )
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Funcao para determinao das linhas epipolares dado um par de imagens
% estereo. 
% 
% Entradas da Funcao:
% metodo - String referente ao Metodo desejado 
%          'oito_pontos' - Algoritmo de 8 pontos
%          'luong_lin' - Mtodo linear de Luong
%          'luong_nonlin' - Mtodo no-linear de Luong
%          'hartley' - Mtodo de Hartley
% arql  - string com o nome do arquivo com a imagem da esquerda
% arqr  - string com o nome do arquivo com a imagem da direta
%
% Sadas da Funcao:
% (vazio)
%


close all
clc
% 
% arql = 'house.l.pgm';
% arqr = 'house.r.pgm';

iml = im2double(imread(arql));
imr = im2double(imread(arqr));

R=input('Deseja coletar pontos homgolos (c) ou usar pontos armazenados em arquivos (a)? - ','s');
if R(1)=='c';
    [xl, yl, xr, yr] = captura_pontos(iml,imr);
else
    load pontos_homologos
end

if strcmp(metodo,'oito_pontos')
     F = oito_pontos(xl,yl,xr,yr);
elseif strcmp(metodo,'luong_lin')
     F = luong_lin(xl,yl,xr,yr);
elseif strcmp(metodo,'luong_nonlin')
     F = luong_nonlin(xl,yl,xr,yr);
elseif strcmp(metodo,'hartley')
     F = hartley(xl,yl,xr,yr);
end

visualiza(F, xl,yl, xr, yr, iml, imr);
