function F = oito_pontos(xl, yl, xr, yr)
%  F = oito_pontos(xl, yl, xr, yr)
%%%%%%%%%%%%%%%%%%% Algoritmo de 8 Pontos  %%%%%%%%%%%%%%%%%%%%%%%%%
% Mtodo para determinao das linhas epipolares dado um par de imagens
% estereo.
% 
% Entradas da Funcao:
% xl - vetor com as coordenadas x dos pontos, na imagem da esquerda
% yl - vetor com as coordenadas y dos pontos, na imagem da esquerda
% xr - vetor com as coordenadas x dos pontos, na imagem da direita
% yr - vetor com as coordenadas y dos pontos, na imagem da direita
%
% Sadas da Funcao:
% F - Matriz Fundamental 
%



tam = length(xl);

P = [xl.*xr xl.*yr xl yl.*xr yl.*yr yl xr yr];

[V,D] = eig(P'*P);
[temp,I] = min(abs(diag(D)));

F = V(:,I);
F = [F;1];

F = [F(1:3)';F(4:6)';F(7:9)'];

