function visualiza (F, xl,yl, xr, yr, iml, imr)
% function visualiza (F, xl,yl, xr, yr, iml, imr)
%%%%%%%%%%%%%%%%%%% Visualizacao %%%%%%%%%%%%%%%%%%%%%%%%%
% Visualiza linhas epipolares e pontos homologos, 
% de duas imagens estereo
% 
% Entradas da Funcao:
% F - Matriz Fundamental
% xl - vetor com as coordenadas x dos pontos, na imagem da esquerda
% yl - vetor com as coordenadas y dos pontos, na imagem da esquerda
% xr - vetor com as coordenadas x dos pontos, na imagem da direita
% yr - vetor com as coordenadas y dos pontos, na imagem da direita
% iml - imagem da esquerda
% imr - imagem da direita
%
% Sadas da Funcao:
% (Vazio)
%
% Raul Queiroz Feitosa - ltima reviso Maio/2011


figure
subplot(1,2,1)
imshow(iml)
axis tight
hold on

tam=length(xl);

for i=1:tam
A = F*[xr(i);yr(i);1];

x1 = xl(i)-10;
x2 = xl(i)+10;

y1 = (-A(1)*x1-A(3))/A(2);
y2 = (-A(1)*x2-A(3))/A(2);

plot(xl(i),yl(i),'y.')
line([x1,x2],[y1,y2],'Color','r');

end

subplot(1,2,2)
imshow(imr)
axis tight
hold on

for i=1:tam
A = F'*[xl(i);yl(i);1];

x1 = xr(i)-10;
x2 = xr(i)+10;

y1 = (-A(1)*x1-A(3))/A(2);
y2 = (-A(1)*x2-A(3))/A(2);

plot(xr(i),yr(i),'y.')
line([x1,x2],[y1,y2],'Color','r');

end
